unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls,dotu, ImgList, ExtCtrls, Buttons;

type
  TForm1 = class(TForm)
    Timer1: TTimer;
    Timer2: TTimer;
    PnlSettings: TPanel;
    btnMove: TButton;
    btnTurnRight: TButton;
    btnTurnLeft: TButton;
    btnSetTrailWidth: TButton;
    btnSetTrailColor: TButton;
    btnTrailOff: TButton;
    btnTrailOn: TButton;
    btnSetGridSize: TButton;
    ColorDialog1: TColorDialog;
    pnlExercises: TPanel;
    BitBtn1: TBitBtn;
    btnSquare: TButton;
    btnWave: TButton;
    btnGrid: TButton;
    btnstairs: TButton;
    btnNestedSquares: TButton;
    btnCreate: TButton;
    btnRectangle: TButton;
    btnGrowingSquares: TButton;
    btnCrazy: TButton;
    btnSpiral: TButton;
    procedure btnCreateClick(Sender: TObject);
    procedure btnMoveClick(Sender: TObject);
    procedure btnTurnRightClick(Sender: TObject);
    procedure btnTurnLeftClick(Sender: TObject);
    procedure btnSetTrailWidthClick(Sender: TObject);
    procedure btnSetTrailColorClick(Sender: TObject);
    procedure btnTrailOffClick(Sender: TObject);
    procedure btnTrailOnClick(Sender: TObject);
    procedure btnSquareClick(Sender: TObject);
    procedure btnSetGridSizeClick(Sender: TObject);
    procedure btnWaveClick(Sender: TObject);
    procedure btnCrazyRedDotClick(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure btnTwoRedDotsClick(Sender: TObject);
    procedure Timer2Timer(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure btnKillRedDotsClick(Sender: TObject);
    procedure btnRectangleClick(Sender: TObject);
    procedure btnGridClick(Sender: TObject);
    procedure btnstairsClick(Sender: TObject);
    procedure btnGrowingSquaresClick(Sender: TObject);
    procedure btnNestedSquaresClick(Sender: TObject);
    procedure btnSpiralClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  RedDot : TDot;
  RedDot1,RedDot2: TDot;
  implementation

{$R *.dfm}

procedure TForm1.btnCreateClick(Sender: TObject);

begin
RedDot := TDot.Create();
end;

procedure TForm1.btnGridClick(Sender: TObject);
var i,j : integer;
begin
try

except
showmessage('You have to create the RedDot first')
end;//try

end;

procedure TForm1.btnGrowingSquaresClick(Sender: TObject);
var i ,j,k: integer;
begin
RedDot.turnleft;
try

except
showmessage('You have to create the RedDot first')
end;//try

end;

procedure TForm1.btnMoveClick(Sender: TObject);
begin
try
RedDot.move;
except
showmessage('You have to create the RedDot first')
end;//try

end;

procedure TForm1.btnNestedSquaresClick(Sender: TObject);
var i ,j,k: integer;
begin
try

except
showmessage('You have to create the RedDot first')
end;//try

end;

procedure TForm1.btnRectangleClick(Sender: TObject);
var i : integer;
begin
try

except
showmessage('You have to create the RedDot first')
end;//try

end;

procedure TForm1.btnTurnRightClick(Sender: TObject);
begin
try
RedDot.turnright ;
except
showmessage('You have to create the RedDot first')
end;//try
end;

procedure TForm1.btnTurnLeftClick(Sender: TObject);
begin
try
RedDot.turnleft
except
showmessage('You have to create the RedDot first')
end;//try
end;

procedure TForm1.btnSetTrailWidthClick(Sender: TObject);
var w : integer;
begin
try
w := strtoint(inputbox('Input','Enter the width for the trail','2'));
RedDot.settrailwidth(w);
except 
showmessage('You have to create the RedDot first')
end;//try
end;

procedure TForm1.btnSpiralClick(Sender: TObject);
var i ,j: integer;
begin
try

except
showmessage('You have to create the RedDot first')
end;//try

end;

procedure TForm1.btnSetTrailColorClick(Sender: TObject);
begin
try
colordialog1.Execute;
RedDot.settrailcolor(colordialog1.Color);
except
showmessage('You have to create the RedDot first')
end;//try
end;

procedure TForm1.btnTrailOffClick(Sender: TObject);
begin
try
RedDot.trailoff;
except
showmessage('You have to create the RedDot first')
end;//try
end;

procedure TForm1.btnTrailOnClick(Sender: TObject);
begin
try
RedDot.trailOn;
except
showmessage('You have to create the RedDot first')
end;//try
end;

procedure TForm1.btnSquareClick(Sender: TObject);
var i : integer;
begin
try

except
showmessage('You have to create the RedDot first')
end;//try

end;

procedure TForm1.btnstairsClick(Sender: TObject);
var i : integer;
begin
try

except
 showmessage('You have to create the RedDot first')
end;
end;

procedure TForm1.btnSetGridSizeClick(Sender: TObject);
var w : integer;
begin
try
w := strtoint(inputbox('Input','Enter the gridsize','10'));
RedDot.setgridsize(w);
except
showmessage('You have to create the RedDot first')
end;//try
end;
procedure TForm1.btnWaveClick(Sender: TObject);
var i : integer;
begin
try

  except 
showmessage('You have to create the RedDot first')
end;//try
end;

procedure TForm1.btnCrazyRedDotClick(Sender: TObject);
begin
timer2.Enabled := false;
RedDot := TDot.Create;
if timer1.enabled = true then timer1.Enabled := false
else if timer1.enabled = false then timer1.Enabled := true
end;

procedure TForm1.Timer1Timer(Sender: TObject);
begin
RedDot.setdirection(random(4)+1);
RedDot.move;
end;

procedure TForm1.btnTwoRedDotsClick(Sender: TObject);
begin

timer1.enabled:= false;
RedDot1:= TDot.Create(random(form1.Width div 10)*10,random(form1.Height div 10)*10,2,clblue);
RedDot2:= TDot.Create(random(80)*10,random(40)*10,2,clgreen);
timer2.enabled := true;
end;

procedure TForm1.Timer2Timer(Sender: TObject);
begin


end;

procedure TForm1.FormCreate(Sender: TObject);
begin
randomize;

end;

procedure TForm1.BitBtn1Click(Sender: TObject);
begin
form1.Repaint;
end;

procedure TForm1.btnKillRedDotsClick(Sender: TObject);
begin
timer1.Enabled := false;
timer2.Enabled := false;
end;

end.
